Jump to content
Flirc Forums
Adri

Flirc not working after upgrade to 3.25

Recommended Posts

Hi all,

about a week ago I bought the Flirc usb device, and it worked flawlessly until today. I use the flirc with a Logitech Harmony One remote, to control my (Windows 10) media-pc with Kodi. I was close to a perfectly working system, but had to make two small adjustments. So, I started the software, and was asked to update the software v3.25.0 (from 3.24.3); the firmware was also upgraded.
After that, the flirc did not respond to any keystroke from my remote. The system management of Windows 10 showed a USB-device, with an error message: 'could not start'. Before the crash, a Flirc device was listed (as far as I know)

I re-installed software, drivers, and tested everything on another pc, but without any result. So, in one instance a wonderful device became completely useless. I even tried an old trick with Zadig software, but that did not work either.

A solution would be much appreciated, as a working flirc is really a great device. A firmware downgrade could probably do the job (but I have no access to older firmware, and means to install it), but other solutions are of course also very welcome.

Hope to hear from you soon
Adri
 

Share this post


Link to post
Share on other sites

Hi @jason

I have the same/similar issue.

After the update to 3.25 and Firmware 4.9.0 my Flirc v2 has issues. It does not react to any commands.
The only thing it reacts to is if i send a command to configure the Flirc in the 3.25 app.

Before the update i used 3.20 and Firmware 4.4.2 (if i remember correctly).
Another Flirc v2 i'm using and have not updated yet still works.

The issues are with the Sunrise UHD Box.
Also tried to use the Flirc on a nvidia Shield TV 2017, also no reaction

If possible i would appreciate a way to downgrade back to 4.4.2 (Ialready tried to install 3.2.0 Soffware, but then Flirc is not recognised.
 

Share this post


Link to post
Share on other sites

I have done so much testing and my changes were very minimal with the gen2 device, I'm baffled. Can you guys go to flie->devicelog. Try and record some buttons, enable IR debugging, and then save and post the log here.

Share this post


Link to post
Share on other sites

Same problem. Was asked to upgrade versions and then firmware versions, and I don't know which, but one of them broke FLIRC for me. Nothing works at all. Is there at least a temporary solution? Can we revert back to an earlier version that works?

Share this post


Link to post
Share on other sites
2 minutes ago, Chizad said:

Same problem. Was asked to upgrade versions and then firmware versions, and I don't know which, but one of them broke FLIRC for me. Nothing works at all. Is there at least a temporary solution? Can we revert back to an earlier version that works?

You need to re-pair your remote. Can you go to file->device log. enable ir debugging, and press some keys after you recorded some?

Share this post


Link to post
Share on other sites

The devil seems to be in the detail here ;)
I am busy for the rest of today and part of tomorrow, but I will send my logs within 1 or 2 days. And of course, I will do the re-pair trick.

Kind regards,
Adri

 

Share this post


Link to post
Share on other sites

Just mapped the stop button on my Harmony to Esc and space bar to pause. They should already be recorded, but it doesn't work before or after. Below is the log.

 

Fri Dec 20 2019 13:06:25

Flirc GUI Version v3.25.0

Operating System: Windows

*** Device Disconnected ***

*** Device Connected ***

Firmware Version: v4.9.0

SKU: Flirc 2.0 [dori]

Git Hash: 0x5bc57f10

:e:47746

0,4959,4818,884,1612,880,1617,880,1612,884,771,891,1601,880,1617,880,1617,880,4424,868,770,880,771,880,770,880,771,880,774,876,775,887,763,880,1612,880,783,1713,1617,880

:e:44919

0,4947,4834,880,1613,885,1613,880,1617,881,770,881,1613,880,1618,880,1613,880,4415,880,775,876,775,876,776,876,775,876,775,876,775,876,776,876,1617,1723,1617,880,776,876

:e:24

0,4942,4836,880,1618,880,1613,880,1618,880,771,880,1613,880,1617,880,1613,881,4414,884,771,876,775,876,775,876,775,876,775,896,755,876,775,876,1617,1727,1613,881,771,880

:e:23

0,4939,4835,880,1613,884,1613,880,1613,885,770,881,1613,880,1617,880,1613,880,4413,880,771,880,770,880,771,884,771,895,756,880,770,880,771,880,1613,1727,1613,884,771,880

:e:25

0,4945,4830,885,1612,881,1617,880,1613,880,771,884,1613,881,1617,880,1612,881,4412,881,770,885,766,885,771,883,768,880,771,880,771,880,770,881,1613,1727,1613,885,771,880

:e:25

0,4946,4835,880,1618,899,1595,884,1614,902,749,880,1617,881,1613,880,1617,880,4413,880,771,880,771,944,707,880,770,881,770,880,771,880,771,880,1638,1706,1613,880,771,943

 

Share this post


Link to post
Share on other sites
9 minutes ago, jason said:

You need to re-pair your remote. Can you go to file->device log. enable ir debugging, and press some keys after you recorded some?

So if I'm using a Harmony remote, I assume this means I have to delete Flirc as a device and then re-add it, and then add all of the commands to all of my activities and routines as well as re-map custom buttons?

Share this post


Link to post
Share on other sites
Just now, Chizad said:

So if I'm using a Harmony remote, I assume this means I have to delete Flirc as a device and then re-add it, and then add all of the commands to all of my activities and routines as well as re-map custom buttons?

If you are using harmony, you shouldn't need to repair anything. Can you post your configuration?

Share this post


Link to post
Share on other sites
Just now, jason said:

If you are using harmony, you shouldn't need to repair anything. Can you post your configuration?

Not sure what you mean. In the Harmony app?

Share this post


Link to post
Share on other sites

Okay, I think I got it. Everyone was using windows, and there was something that needed to be fixed in my report descriptor and it looks like other OS's were more lenient. Sorry, please try the attached.  File->advanced to get your sku, and then do file->upgrade ,and upload one of the attached.

gen 1 devices can use the flirc-gen1v3.12.bin file

 

nemo.release-4.9.1.bindori.release-4.9.1.bin

flirc-gen1-v3.12.bin

  • Like 1

Share this post


Link to post
Share on other sites
Just now, Chizad said:

I am trying Dori.

I got the error: "Could not upgrade firmware. Contact Support."

Unplug, plug back in, try it again.

Share this post


Link to post
Share on other sites

I did. Closed out of FLIRC and re-opened. Firmware started downloading automatically. Got the same error. Tried to manually install the Dori file again. Says I'm disconnected. It's definitely plugged in...

Share this post


Link to post
Share on other sites
1 minute ago, Chizad said:

I did. Closed out of FLIRC and re-opened. Firmware started downloading automatically. Got the same error. Tried to manually install the Dori file again. Says I'm disconnected. It's definitely plugged in...

Go to Program Files (x86) \ Flirc\

edit flirc.ini

Change loglevel  = 5 and change all false words to true. Run the app again, and let's see the log.

 

 

Share this post


Link to post
Share on other sites

After multiple rounds of unplugging and replugging in FLIRC, and closing out and reopening the software, it looks like the automatic firmware update worked. The FLIRC commands, still do not.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...